<?php require 'ust.php'; ?>
<main id="main" class="main">
  <section class="section dashboard">
    <div class="row">
      <div class="col-12">
        <div class="card">
          <div class="card-body">
            <h5 class="card-title"> Duyuru Ekleme Paneli </h5>
            <form method="post">
              <div class="form-group">
                  <label for="exampleFormControlSelect1"> Duyuru Kime Yapılacak </label>
                  <select name="kime" class="form-control" id="exampleFormControlSelect1">
                    <option>Üyelere</option>
                    <option>Yorumculara</option>
                  </select>
                </div>
              <div class="form-group my-3">
                <label for="exampleFormControlTextarea1"> Duyuru İçeriği </label>
                <textarea name="duyuru" class="form-control quill-editor-default" rows="3"></textarea>
              </div>
              <button type="submit" class="btn btn-primary">Duyuru Ekle</button>
            </form>
          </div>
        </div>
      </div>
    </div>
  </section>
</main>
<?php require 'footer.php'; ?>
<?php
if ($_POST) {
  $kime = $_POST["kime"];
  $duyuru = $_POST["duyuru"];
  $duyuru_tarihi = date("d.m.Y");

  $ekle = mysqli_query($db, "INSERT INTO duyurular(duyuru_kime,duyuru,duyuru_tarihi)VALUES('$kime','$duyuru','$duyuru_tarihi')");
  if ($ekle) {
    echo '<script>swal("Başarılı", "Duyuru Başarılı Şekilde Eklendi ", "success");</script>';
    header("Refresh:2;url=duyurulistesi.php");
  }else {
    echo '<script>swal("Hata!", " Beklenmedik Bir Hata Meydana Geldi Lütfen Tekrar Deneyin ", "error");</script>';
    header("Refresh:2;url=duyuruekle.php");
  }
}
 ?>
